KMLTileGridMaker (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.mapTile
Class KMLTileGridMaker

    java.lang.Object
      com.bbn.openmap.dataAccess.mapTile.KMLTileGridMaker

    public class KMLTileGridMaker

extends java.lang.Object

Creates a KML grid file for import into Google Earth. This file shows the tile boundaries for a specified tile zoom level.

Author:
  ddietrick

Nested Class Summary
`static class` | `KMLTileGridMaker.Builder` Use this class to run the KMLTileGridMake.
`protected class` | `KMLTileGridMaker.Tile`

Field Summary
`protected java.lang.String` | `docTitle`
`protected DrawingAttributes` | `drawingAttributes`
`protected int` | `level`
`protected java.util.List<KMLTileGridMaker.Tile>` | `tiles`

Constructor Summary
`protected` | `KMLTileGridMaker(KMLTileGridMaker.Builder builder)`

Method Summary
`protected org.w3c.dom.Element` | `appendChild(org.w3c.dom.Document doc, org.w3c.dom.Node parent, org.w3c.dom.Element child)`
`protected org.w3c.dom.Element` | `appendChild(org.w3c.dom.Document doc, org.w3c.dom.Node parent, java.lang.String childField, java.lang.String value)`
`protected org.w3c.dom.Element` | `createKMLElement(org.w3c.dom.Document doc)`
`protected org.w3c.dom.Element` | `createStyle(org.w3c.dom.Document doc)`
`protected org.w3c.dom.Element` | `createTiles(org.w3c.dom.Document doc)`
`static void` | `main(java.lang.String[] args)`
`protected java.util.List<KMLTileGridMaker.Tile>` | `makeTiles(int level)`
`protected void` | `writeDoc(java.io.OutputStream output)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### docTitle

    protected java.lang.String docTitle

### level

    protected int level

### tiles

    protected java.util.List<KMLTileGridMaker.Tile> tiles

### drawingAttributes

    protected DrawingAttributes drawingAttributes

Constructor Detail

### KMLTileGridMaker

    protected KMLTileGridMaker(KMLTileGridMaker.Builder builder)

Parameters:
  `builder` -

Method Detail

### makeTiles

    protected java.util.List<KMLTileGridMaker.Tile> makeTiles(int level)

### writeDoc

    protected void writeDoc(java.io.OutputStream output)
                     throws javax.xml.parsers.ParserConfigurationException,
                            javax.xml.transform.TransformerException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `javax.xml.transform.TransformerException`

### createKMLElement

    protected org.w3c.dom.Element createKMLElement(org.w3c.dom.Document doc)

### createTiles

    protected org.w3c.dom.Element createTiles(org.w3c.dom.Document doc)

### createStyle

    protected org.w3c.dom.Element createStyle(org.w3c.dom.Document doc)

### appendChild

    protected org.w3c.dom.Element appendChild(org.w3c.dom.Document doc,
                                              org.w3c.dom.Node parent,
                                              java.lang.String childField,
                                              java.lang.String value)

### appendChild

    protected org.w3c.dom.Element appendChild(org.w3c.dom.Document doc,
                                              org.w3c.dom.Node parent,
                                              org.w3c.dom.Element child)

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details